<section class="container-fluid animated fadeIn bg-blur">
  <div class="row wall wall-sm mb">
    <div class="col-md-auto">
      <button class="btn-outline w-100" routerLink="/panel/videos/add">{{ 'video.add.title' | translate }}</button>
    </div>
    <div class="col-md col-sm-hidden"></div>
    <div class="col-md-auto">
      <input class="form-control" type="text" [ngModel]="filters.search"
        (keyup)="search.pass($event, 'videoList')" placeholder="{{ 'search' | translate }}">
    </div>
  </div>
  <div class="row pb">
    <div class="col-12">
      <div class="wall">
        <div class="table-wrapper">
          <table class="table">
            <thead>
              <th>#</th>
              <th>{{ 'upload.create.name' | translate }}</th>
              <th>{{ 'key' | translate }}</th>
              <th>{{ 'upload.create.released-date' | translate }}</th>
              <th>{{ 'upload.create.imdb' | translate }}</th>
              <th>{{ 'upload.create.genres' | translate }}</th>
              <th>{{ 'upload.create.actors' | translate }}</th>
              <th>{{ 'upload.create.directors' | translate }}</th>
              <th class="text-center">{{ 'upload.comments' | translate }}</th>
              <th class="text-center">{{ 'upload.list.publish' | translate }}</th>
              <th class="text-center">{{ 'operation.actions' | translate }}</th>
            </thead>
            <tbody>
              <tr *ngFor="let res of result;index as index">
                <td>{{ index+1 }}</td>
                <td class="cursor-pointer" [routerLink]="['/panel/videos/edit', res.id]">
                  {{ res.name }}
                </td>
                <td>
                  {{ res.key }}
                </td>
                <td>{{ res.release_date | jalali}}</td>
                <td>{{res.imdb_rating|number}}</td>
                <td class="truncate-cell" title="{{res.genres|makelist:'name'}}">
                  <div class="text-truncate">
                    <span>
                      {{res.genres|makelist:"name"}}
                    </span>
                  </div>
                </td>
                <td class="truncate-cell" title="{{res.actors|makelist:'name'}}">
                  <div class="text-truncate">
                    <span>
                      {{res.actors|makelist:"name"}}
                    </span>
                  </div>
                </td>
                <td class="truncate-cell" title="{{res.director|makelist:'name'}}">
                  <div class="text-truncate">
                    <span>
                      {{res.director|makelist:"name"}}
                    </span>
                  </div>
                </td>
                <td class="text-center cursor-pointer" (click)="gotoComment(res.id)">
                  <div class="fa fa-comment"></div>
                </td>
                <td>
                  <div class="form-check text-center">
                    <label class="form-check-label" for="publish{{res.id}}">
                      <input class="form-check-input" id="publish{{res.id}}" [checked]="res.release" type="checkbox" (change)="publishVideo($event, res.id, res)">
                      <span class="form-check-sign">
                        <span class="check"></span>
                      </span>
                    </label>
                  </div>
                </td>
                <td class="text-center">
                  <div class="fa fa-edit tools edit px-2" [routerLink]="['/panel/videos/edit', res.id]" title="{{'upload.list.edit' | translate}}"></div>
                  <div class="fa fa-trash-alt tools delete" (click)="deleteVideo(res.id)"></div>
                </td>
              </tr>
            </tbody>
            <tfoot>
              <tr [hidden]="result.length">
                <td colspan="11" class="text-center">
                  <b>{{ 'table.empty' | translate }}</b>
                </td>
              </tr>
            </tfoot>
          </table>
        </div>
      </div>
    </div>
  </div>

  <div class="row pb">
    <div class="col">
      <pagination [totalRecords]="totalPages * filters.limit" [recordsPerPage]="filters.limit" (onPageChange)="getVideoList($event)"></pagination>
    </div>
  </div>

</section>